{% extends 'base.html' %}
{% block head %}

<meta name="twitter:card" content="summary_large_image" xmlns="http://www.w3.org/1999/html">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:description" content="'together we show what they hide'">
<meta property="og:type" content="website">
<meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">
<meta property="og:image:url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">
<meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">


{% if order == 'deleted' %}
<meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}/channel/deleted">
<meta property="og:title" content="{{ videocount | viewdisplay }}+ Censored YouTube Videos; {{ delchannelcount | viewdisplay }} Deleted Channels">

{% else %}
<meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}/channel">
<meta property="og:title" content="{{ videocount | viewdisplay }}+ Censored YouTube Videos; {{ channelcount | viewdisplay }}+ Channels">

{% endif %}

{% endblock %}
{% block content %}
    {% with active_nav='channel' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-6-24">
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('channel.deleted') }}" class="pure-menu-item {{'selected' if order == 'deleted' }}">
                            <span style="color: #ff0000; ">
                            {{ gettext('deleted') }}</a></span>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('channel.limited') }}" class="pure-menu-item {{'selected' if order == 'limited' }}">
                            {{ gettext('most limited') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <i class='ion-ios-albums'  style="font-size: 24px"></i>
                        {% if order == 'deleted' %}
                        <a href="{{ url_for('channel.deleted_feed') }}">
                        {% else %}
                        <a href="{{ url_for('channel.feed') }}">
                        {% endif %}
                            <i class='ion-logo-rss' style="font-size: 21px"></i>
                        </a>
                        <b>&nbsp;{{ channelcount | commafy }}</b>
                    </div>
                </div>
                <div class="pure-u-12-24" style="text-align:center;">
                    <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('channel.table', data='data_deleted') }}" class="pure-menu-heading selected">
                                <span style="color: red; ">
                                    <b>{{ gettext('Table Deleted') }}</b></a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('channel.table', data='data_all') }}" class="pure-menu-heading selected">
                                <b>{{ gettext('Table All') }}</b></a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                </div>
                <div class="pure-u-6-24" style="text-align:right;">
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('channel.index') }}" class="pure-menu-item {{'selected' if order == 'latest' }}">
                            {{ gettext('latest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('channel.new') }}"  class="pure-menu-item {{'selected' if order == 'newest' }}">
                            {{ gettext('newest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <a href="{{ url_for('channel.popular') }}"  class="pure-menu-item {{'selected' if order == 'popular' }}">
                            {{ gettext('popular') }}</a>
                    </div>
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>

    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% for channel in channels %}
                    <div class="pure-u-1 pure-u-md-1-4">
                    <div class="h-box">
                        <div class = "pure-g">
                            <div class="pure-u-1-2">
                                <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                    <div class="thumbnail">
                                        <left>
<!--
                                            <img style="width:97%"
                                            src="{{ channel['ytc_thumbnailurl'] | reverse | replace('88','671', 1) | reverse  }}"
                                            onerror="this.onerror=null;this.src='https://{{ config['MYSERVER_NAME'] }}/channel_unnamed.jpg';" >
-->
                                              <img style="width:95%"
                                                   src="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail'] }}"
                                                   onerror="this.onerror=null;this.src='{{ config.CHANNEL_THUMB_ERROR_IMAGE }}';">
                                            </style>
                                            </left>
                                            </div>
                                              </a>
                                                </div>
                                                  <div class="pure-u-1-2" style="text-align:left">
                                                  <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                                  {{ gettext('Censored') }}: {{ channel['limited']|commafy }}
                                            </a>
                                              <br>
                                             {% if not channel['ytc_deleted'] %}
                                              {{ gettext('Archived') }}: {{ channel['archived']|commafy}}
                                              <br>
                                             {% endif %}
                                              {{ gettext('Total') }}: {{ channel['total']|commafy }}
                                            <br>
                                             {{ gettext('Views') }}: {{ channel['ytc_viewcount'] | viewdisplay }}
                                            <br>
                                             {{ gettext('Subs') }}: {{ channel['ytc_subscribercount'] | viewdisplay }}
                                            <br>
                                             {% if channel['ytc_deleted'] %}
                                                 <img style="width:31%"
                                                 class="thumbnail" src="https://{{ config['MYSERVER_NAME'] }}/x.gif">
                                                 </style>
                                             {% else %}
                                                 {{ gettext('Monitor') }}:
                                                 {% if channel.allow %}{{ gettext('True') }}<br>
                                                     {% else %}{{ gettext('False') }}<br>
                                                 {% endif %}
                                             {% endif %}
                                    </div>
                            </div>
                            <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                <b>{{ channel['ytc_title'] }}</b>
                            </a>
                            <br>
                            <br>
                            {{ gettext('Created') }} {{ channel['ytc_publishedat'].strftime('%b %e, %G') }}
                            <br>
                            {% if channel['ytc_deleted'] %}
                                <span style="color: red; ">{{ gettext('Deleted') }} {{ channel['ytc_deleteddate'].strftime('%b %e, %G') }}</span>
                            {% else %}
                            {% endif %}
                            <br>
                            <br>
                        </div>
                        <br>
                    </div>
                {% endfor %}

                {% from "_helpers.html" import render_pagination %}

                <div class="pure-u-1 pure-u-md-4-4">
                    <div class="h-box">
                        {{ render_pagination(pagination) }}
                    </div>
                </div>

{% endblock %}